package com.junmp.jyzb.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.junmp.jyzb.api.bean.req.ProductReq;
import com.junmp.jyzb.api.bean.req.SupplierReq;
import com.junmp.jyzb.api.bean.req.WarehouseReq;
import com.junmp.jyzb.entity.Product;
import com.junmp.jyzb.entity.Warehouse;
import com.junmp.jyzb.utils.ResponseResult;

import java.util.List;
import java.util.Map;

public interface WarehouseService extends IService<Warehouse> {

    //ResponseResult addWarehouse(Map<String, Object> msg);
    /**
     * 新增
     *
     * @param req
     */
    boolean addWarehouse(WarehouseReq req);

    /**
     * 查询单个仓库信息
     *
     * @param req
     */
    Warehouse getOneWarehouse(WarehouseReq req);

//    ResponseResult deleteWarehouse(Map<String, Object> msg);
    boolean deleteWarehouse(WarehouseReq req);

    ResponseResult updateWarehouse(Map<String, Object> msg);

    List<String> getAllWarehouseId(Map<String, Object> orgId);

    boolean changeWarehouseState(WarehouseReq req);

    List<Warehouse> getAllWarehouse(WarehouseReq orgId);

    /**
     * 新增8接口
     * */
    ResponseResult addArea(Map<String, Object> msg);

    ResponseResult updateArea(Map<String, Object> msg);

    ResponseResult deleteArea(Map<String, Object> msg);

    ResponseResult getAreaList(Map<String, Object> msg);

    ResponseResult addShelf(Map<String, Object> msg);

    ResponseResult updateShelf(Map<String, Object> msg);

    ResponseResult deleteShelf(Map<String, Object> msg);

    ResponseResult getShelfList(Map<String, Object> msg);

    ResponseResult setWarehouseInventory(Map<String, Object> msg);
}
